import type { TreeNode } from '../../_common/js/tree/tree-node';
import type { DropPosition } from '../interface';
export default function useDraggable(props: {
    nodeRef: HTMLElement | undefined;
    node: TreeNode;
}): {
    isDragOver: import("vue").Ref<boolean>;
    isDragging: import("vue").Ref<boolean>;
    dropPosition: import("vue").Ref<DropPosition>;
    setDragStatus: (status: 'dragStart' | 'dragOver' | 'dragLeave' | 'dragEnd' | 'drop', e: DragEvent) => void;
};
